<template>
    <v-container fluid>
        <v-row>
            <v-col>
                <v-tabs centered>
                    <v-tab>
                        Общий
                    </v-tab>
                    <v-tab>
                        За месяц
                    </v-tab>
                </v-tabs>
            </v-col>
        </v-row>
        <v-row>
            <v-col>
                <v-card class="mx-auto">
                    <v-simple-table fixed-header>
                        <template v-slot:default>
                            <thead>
                            <tr>
                                <th class="text-left">№</th>
                                <th class="text-left">Фото</th>
                                <th class="text-left">ФИО Стажера</th>
                                <th class="text-left">Успешные MR</th>
                                <th class="text-left">Всего MR</th>
                                <th class="text-left">Сумма баллов</th>
                            </tr>
                            </thead>
                            <tbody>
                            <RatingRow
                                    v-bind:index="1"
                                    photo="https://sun9-30.userapi.com/c830608/v830608295/d1929/-SPuuyOcSZg.jpg"
                                    full-name="Пушкарев Павел Сергеевич"
                                    v-bind:success-mr="15"
                                    v-bind:all-mr="20"
                                    v-bind:points="30"
                                    url="/profile/1"
                            />
                            <RatingRow
                                    v-bind:index="2"
                                    photo="https://sun9-3.userapi.com/c204616/v204616878/120d9/eas9FOFtN5M.jpg"
                                    full-name="Капицын Владислав Сергеевич"
                                    v-bind:success-mr="12"
                                    v-bind:all-mr="19"
                                    v-bind:points="24"
                                    url="/profile/2"
                            />
                            <RatingRow
                                    v-bind:index="3"
                                    photo="https://sun9-54.userapi.com/c858232/v858232317/972e1/YnSpE5uFHR4.jpg"
                                    full-name="Гаврилов Сергей Олегович"
                                    v-bind:success-mr="9"
                                    v-bind:all-mr="18"
                                    v-bind:points="20"
                                    url="/profile/3"
                            />
                            </tbody>
                        </template>
                    </v-simple-table>
                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
    import RatingRow from "./RatingRow";

    export default {
        name: 'Rating',
        components: {RatingRow}
    }
</script>
